petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectSAWsSetBlock

Sets whether an object will block at PetscObjectSAWsBlock()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSAWsSetBlock(PetscObject obj,PetscBool flg)

Collective on PetscObject

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);
| flg | - whether it should block

### See Also

PetscObjectSetName(), PetscObjectSAWsViewOff(), PetscObjectSAWsBlock()

### Level

advanced

### Location

src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages